de.dhbwstuttgart.typeinference.assumptions

## Class FieldAssumption

- java.lang.Object
- - de.dhbwstuttgart.typeinference.assumptions.Assumption
  - - de.dhbwstuttgart.typeinference.assumptions.FieldAssumption

- Direct Known Subclasses:
    MethodAssumption

      public class FieldAssumption
      extends Assumption

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private Field` | `field`
    `private Class` | `parentClass`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldAssumption(Field fieldVar, Class inClass)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)`
    `JavaClassName` | `getIdentifier()`
    `Class` | `getParentClass()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class de.dhbwstuttgart.typeinference.assumptions.Assumption

      `getAssumedType`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### parentClass

          private Class parentClass

    - #### field

          private Field field

  - ### Constructor Detail

    - #### FieldAssumption

          public FieldAssumption(Field fieldVar,
                                 Class inClass)

  - ### Method Detail

    - #### getParentClass

          public Class getParentClass()

    - #### getIdentifier

          public JavaClassName getIdentifier()

      Overrides:
        `getIdentifier` in class `Assumption`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`